﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace StockTraderRI.Modules.Market
{
    public class MarketModule : IModule
    {
        private readonly IRegionViewRegistry regionViewRegistry;

        public MarketModule(IRegionViewRegistry registry)
        {
            this.regionViewRegistry = registry;
        }

        #region IModule Members

        public void Initialize()
        {
            regionViewRegistry.RegisterViewWithRegion("MarketRegion", typeof(Views.MarketView));
        }

        #endregion
    }
}