﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace StockTraderRI.Modules.News
{
    public class NewsModule : IModule
    {
        private readonly IRegionViewRegistry regionViewRegistry;

        public NewsModule(IRegionViewRegistry registry)
        {
            this.regionViewRegistry = registry;
        }

        #region IModule Members

        public void Initialize()
        {
            regionViewRegistry.RegisterViewWithRegion("NewsRegion", typeof(Views.NewsView));
        }

        #endregion
    }
}
